---
title: "Delete document"
url: "https://docs.signnow.com/docs/document/operations/delete-document"
type: "endpoint"
section: "document"
slug: "document/operations/delete-document"
method: "DELETE"
path: "/document/{document_id}"
operation_id: "delete-document"
authorization: "bearer"
---

# Delete document

`DELETE /document/{document_id}`

This endpoint allows API users to delete a document from the user's account.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | ID of the document. |

## Responses

### 200

The document was deleted.

**Example** (`Successful response`)

```json
{
  "status": "success"
}
```

### 400

* Wrong, expired, or missing token.
* The document doesn't exist.
* The document belongs to another user.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Not the owner`)

```json
{
  "errors": [
    {
      "code": 65610,
      "message": "not writable"
    }
  ]
}
```

**Example** (`Document not found`)

```json
{
  "errors": [
    {
      "code": 65544,
      "message": "internal api error"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/document/{document_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document/operations/delete-document*
